Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Class PortalSignOnBean

    java.lang.Object
      |
      +--com.beasys.portal.ejb.BaseBean
            |
            +--com.beasys.portal.ejb.PortalSignOnBean

public class PortalSignOnBean
extends BaseBean

EJB implementation of the PortalSignOn.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `portalName` The portal name.
`java.lang.String` | `systemName` The system name.
`java.lang.String` | `systemPassword` The system password.
`java.lang.String` | `systemUserId` The system user id.
`java.lang.String` | `userId` The user name/id.

Fields inherited from class com.beasys.portal.ejb.BaseBean
`ctx, isModified`

Constructor Summary
`PortalSignOnBean()`

Method Summary
`void` | `ejbCreate(PortalSignOnPK pk)` Ejb create.
`void` | `ejbPostCreate(PortalSignOnPK pk)` Ejb post create.
`java.lang.String` | `getPortalName()` Get portal name.
`java.lang.String` | `getSystemName()` Get system name.
`java.lang.String` | `getSystemPassword()` Get system password.
`java.lang.String` | `getSystemUserId()` Get system user id.
`java.lang.String` | `getUserId()` Get user id.
`void` | `setSystemPassword(java.lang.String aPassword)` Set system password.

Methods inherited from class com.beasys.portal.ejb.BaseBean
`ejbActivate, ejbLoad, ejbPassivate, ejbRemove, ejbStore, isModified, setEntityContext, unsetEntityContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### userId

    public java.lang.String userId

  The user name/id.

### portalName

    public java.lang.String portalName

  The portal name.

### systemName

    public java.lang.String systemName

  The system name.

### systemUserId

    public java.lang.String systemUserId

  The system user id.

### systemPassword

    public java.lang.String systemPassword

  The system password.

Constructor Detail

### PortalSignOnBean

    public PortalSignOnBean()

Method Detail

### ejbCreate

    public void ejbCreate(PortalSignOnPK pk)
                   throws javax.ejb.CreateException,
                          java.rmi.RemoteException

  Ejb create.
  Parameters:
    `pk` - the primary key.
  Throws:
    `CreateException` - error on create.
    `RemoteException` - container error.

### ejbPostCreate

    public void ejbPostCreate(PortalSignOnPK pk)
                       throws javax.ejb.CreateException,
                              java.rmi.RemoteException

  Ejb post create. ignored.
  Parameters:
    `pk` - the primary key.
  Throws:
    `CreateException` - error on create.
    `RemoteException` - container error.

### getUserId

    public java.lang.String getUserId()

  Get user id.
  Returns:
    `String`

### getPortalName

    public java.lang.String getPortalName()

  Get portal name.
  Returns:
    `String`

### getSystemName

    public java.lang.String getSystemName()

  Get system name.
  Returns:
    `String` the system name.

### getSystemUserId

    public java.lang.String getSystemUserId()

  Get system user id.
  Returns:
    `String` the system user id.

### getSystemPassword

    public java.lang.String getSystemPassword()

  Get system password.
  Returns:
    `String` the password.

### setSystemPassword

    public void setSystemPassword(java.lang.String aPassword)

  Set system password.
  Parameters:
    `aPassword` - the password.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved